from sqlalchemy import Column, Integer, String, SmallInteger
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class CoverReply(Base):
    __tablename__ = 'cover_reply'

    id = Column(Integer, primary_key=True, index=True)
    uniacid = Column(Integer, nullable=False)
    multiid = Column(Integer, nullable=False)
    rid = Column(Integer, nullable=False)
    module = Column(String(30), nullable=False)
    do = Column(String(30), nullable=False)
    title = Column(String(255), nullable=False)
    description = Column(String(255), nullable=False)
    thumb = Column(String(255), nullable=False)
    url = Column(String(255), nullable=False)